import json
from island.matches import Matches


def ispd(name):
    matches = Matches(name)
    for m in matches.data:
        config = json.loads(m.query(cat="game", act="created").raw_data[0]['info']['config'])
        print(f"{m.name}: {config['payoffs']['DD'] == [1, 1]}")


if __name__ == '__main__':
    ispd("wos-data-no-tr")
